### Method

# Tsparql SparqlStatement bind_langstring

since: 3.7

#### Declaration [src]

    void
    tracker_sparql_statement_bind_langstring (
      TrackerSparqlStatement* stmt,
      const gchar* name,
      const gchar* value,
      const gchar* langtag
    )

#### Description [src]

Binds the `value` to the parameterized variable given by `name`, tagged with the language defined by `langtag`. The language tag should follow RFC 5646. The parameter will be represented as a `rdf:langString`.

Available since: 3.7

#### Parameters

`name`

  Type: `const gchar*`

  Variable name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`langtag`

  Type: `const gchar*`

  Language tag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.